Package weka.core.pmml.jaxbbindings

# Enum Class RULEFEATURE

java.lang.Object
java.lang.Enum<RULEFEATURE>
weka.core.pmml.jaxbbindings.RULEFEATURE

All Implemented Interfaces:
  `Serializable`, `Comparable<RULEFEATURE>`, `Constable`

public enum RULEFEATURE extends Enum<RULEFEATURE>

Java class for RULE-FEATURE.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="RULE-FEATURE">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="antecedent"/>
         <enumeration value="consequent"/>
         <enumeration value="rule"/>
         <enumeration value="ruleId"/>
         <enumeration value="confidence"/>
         <enumeration value="support"/>
         <enumeration value="lift"/>
         <enumeration value="leverage"/>
         <enumeration value="affinity"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFFINITY`
  `ANTECEDENT`
  `CONFIDENCE`
  `CONSEQUENT`
  `LEVERAGE`
  `LIFT`
  `RULE`
  `RULE_ID`
  `SUPPORT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RULEFEATURE`
  `fromValue(String v)`
  `String`
  `value()`
  `static RULEFEATURE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RULEFEATURE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AFFINITY

    public static final RULEFEATURE AFFINITY

  - ### ANTECEDENT

    public static final RULEFEATURE ANTECEDENT

  - ### CONFIDENCE

    public static final RULEFEATURE CONFIDENCE

  - ### CONSEQUENT

    public static final RULEFEATURE CONSEQUENT

  - ### LEVERAGE

    public static final RULEFEATURE LEVERAGE

  - ### LIFT

    public static final RULEFEATURE LIFT

  - ### RULE

    public static final RULEFEATURE RULE

  - ### RULE_ID

    public static final RULEFEATURE RULE_ID

  - ### SUPPORT

    public static final RULEFEATURE SUPPORT

- ## Method Details

  - ### values

    public static RULEFEATURE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RULEFEATURE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static RULEFEATURE fromValue(String v)